BinaryOutputError Class Reference

`#include <error.h>`

Inheritance diagram for BinaryOutputError:

## Public Types

enum | TYPE { FILE_ERR , STDOUT_ERR }

## Public Member Functions

| BinaryOutputError (std::string fn)
TYPE | getType (void)
Public Member Functions inherited from SteghideError
| SteghideError (void)
| SteghideError (std::string msg)
| SteghideError (const char *msgfmt,...)
virtual void | printMessage (void) const
Public Member Functions inherited from MessageBase
| MessageBase (void)
| MessageBase (std::string msg)
| MessageBase (const char *msgfmt,...)
virtual | ~MessageBase ()
const std::string & | getMessage (void) const
void | setMessage (std::string msg)
void | setNewline (bool prnl)
const std::string | getNewline (void) const
void | setMessage (const char *msgfmt,...)

## Protected Member Functions

void | setType (TYPE t)
Protected Member Functions inherited from MessageBase
std::string | compose (const char *msgfmt,...) const
std::string | vcompose (const char *msgfmt, va_list ap) const

## Private Attributes

TYPE | type

## Additional Inherited Members

Static Protected Attributes inherited from MessageBase
static const unsigned int | MsgMaxSize = 512

## Member Enumeration Documentation

## TYPE

enum BinaryOutputError::TYPE

Enumerator
FILE_ERR |
STDOUT_ERR |

## Constructor & Destructor Documentation

## BinaryOutputError()

BinaryOutputError::BinaryOutputError | ( | std::string | fn | ) |

## Member Function Documentation

## getType()

BinaryOutputError::TYPE BinaryOutputError::getType | ( | void |  | ) |

## setType()

void BinaryOutputError::setType | ( | BinaryOutputError::TYPE | t | ) |

protected

## Member Data Documentation

## type

TYPE BinaryOutputError::type

private

The documentation for this class was generated from the following files:

- error.h
- error.cc